<template>
  <v-row justify="center" no-gutters>
    <v-col cols="12">
      <v-row align="center" justify="space-between" no-gutters class="mb-6">
        <div>
          <v-icon color="primary" class="mr-2">
            mdi-check-circle-outline
          </v-icon>
          <span>
            {{ load.okRows }} filas procesadas correctamente
          </span>
        </div>
        <download-file-btn :sync="load" file-type="ORIGINAL" />
      </v-row>
      <v-divider class="mb-6" />
      <v-row v-if="errors" justify="space-between" no-gutters class="mb-4">
        <div>
          <v-icon color="red" class="mr-2">
            mdi-information-outline
          </v-icon>
          <span>
            {{ load.errorRows }} filas no procesadas por errores
          </span>
        </div>
        <download-file-btn :sync="load" file-type="ERROR" />
      </v-row>
      <v-row v-else align="center" justify="start" no-gutters class="mb-6">
        <v-icon color="primary" class="mr-2">
          mdi-check-circle-outline
        </v-icon>
        <span>
          Ninguna fila presentó errores
        </span>
      </v-row>
    </v-col>
  </v-row>
</template>

<script>
import DownloadFileBtn from '~/components/Sync/Loads/Details/Results/DownloadFileBtn';

export default {
  name: 'DoneLoad',
  components: {
    DownloadFileBtn,
  },
  props: {
    load: {
      type: Object,
      required: true,
    },
  },
  computed: {
    errors() {
      return (this.load?.errorRows ?? 0) > 0;
    },
  },
};
</script>
